FormFields
Creates a Form Field
Creates a new form_field from provided data
POST
/
v1
/
form_fields
Creates a Form Field
curl --request POST \
--url https://api.rootly.com/v1/form_fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "form_fields",
"attributes": {
"name": "<string>",
"value_kind_catalog_id": "<string>",
"description": "<string>",
"shown": [
"<string>"
],
"required": [
"<string>"
],
"show_on_incident_details": true,
"enabled": true,
"default_values": [
"<string>"
],
"auto_set_by_catalog_property_id": "<string>"
}
}
}
'import requests
url = "https://api.rootly.com/v1/form_fields"
payload = { "data": {
"type": "form_fields",
"attributes": {
"name": "<string>",
"value_kind_catalog_id": "<string>",
"description": "<string>",
"shown": ["<string>"],
"required": ["<string>"],
"show_on_incident_details": True,
"enabled": True,
"default_values": ["<string>"],
"auto_set_by_catalog_property_id": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'form_fields',
attributes: {
name: '<string>',
value_kind_catalog_id: '<string>',
description: '<string>',
shown: ['<string>'],
required: ['<string>'],
show_on_incident_details: true,
enabled: true,
default_values: ['<string>'],
auto_set_by_catalog_property_id: '<string>'
}
}
})
};
fetch('https://api.rootly.com/v1/form_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "form_fields",
"attributes": {
"name": "<string>",
"shown": [
"<string>"
],
"required": [
"<string>"
],
"default_values": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"value_kind_catalog_id": "<string>",
"slug": "<string>",
"description": "<string>",
"show_on_incident_details": true,
"enabled": true,
"auto_set_by_catalog_property_id": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a Form Field
